local Loveable=require 'Loveable'

local lg=love.graphics
M=class(Loveable, function(self)
  self.W=lg.getWidth()
  self.H=lg.getHeight()
end)


function M:draw()
  lg.setFont(BIGFONT)
  lg.printf('Moon Lander', self.W*0.1, 30, self.W*0.8, 'center')
  lg.printf([[
  LEFT,RIGHT,UP - Fire engine
  DOWN - start up from the platform
  d - toggle debug mode
  p - PAUSE
  SPACE - restart game
  ]], self.W*0.1,100, self.W*0.8, 'left')  
  lg.printf([[Your goal is to land on the green platforms (fly to the right-hand side). Watch out for the rocks, for the fuel, and for your speed when landing. 
  You get scores for distance travelled and fuel saved.
  
  Press any key...]], self.W*0.1, 400, self.W*0.8, 'center')
end

return M

