local Loveable=require 'Loveable'
require 'TEsound'

local M=class(Loveable, function(self, parent, x, y)
  Loveable.init(self)
  self.dir='sounds/'
end)

function M:fireStart()
  --TEsound.play(self.dir..'fire.ogg', 'fire', 1, 1, function(T) print('FINITO', T) end)
  TEsound.playLooping(self.dir..'fire.ogg', 'fire')
end

function M:fireStop()
  TEsound.stop("fire")
end

function M:crash()
  TEsound.play(self.dir..'crash.ogg')
end

function M:update(dt)
  TEsound.cleanup()
end

return M
